<template>
  <div v-if="car" class="gallery__el layout__item js-open-detail">
    <figure class="project">
      <img v-bind:src="car.attrs.img" v-bind:alt="car.attrs.model" class="project__media">
      <figcaption class="project__desc">
        <header class="project__head layout">
          <span class="project__subtitle layout__item">
            {{car.attrs.make}}
          </span>
          <span class="project__title layout__item">
            {{car.attrs.model}}
          </span>
        </header>
        <p class="project__text">Car ID: {{car.attrs.carId}}</p>
      </figcaption>
    </figure>
  </div>
</template>

<script>
export default {
  name: "GalleryBox",
  props: ["car"]
};
</script>

<style scoped lang="scss">
@import "../styles/theme.scss";

$gallery-item-border-color: #e0e0e0;
$gallery-item-bg-color: white;
$gallery-item-box-shadow-color: #e6e6e6;
$gallery-item-text-color: #3f4852;

.gallery__el {
  padding: 0.25em;
  background-color: $gallery-item-bg-color;
  border: 1px solid $gallery-item-border-color;
  margin: 0.5em;
  z-index: 1;
  box-shadow: 0 0 0.5em $gallery-item-box-shadow-color;
}

.project {
  cursor: pointer;
}

.project__media {
  margin: auto;
  display: block;
  object-fit: scale-down;
  width: 200px;
  height: 150px;
  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    height: auto;
  }
}

.project__desc {
  padding: 1em 1em 0 1em;
}

.project__head {
  color: $gallery-item-text-color;
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 0.8rem;
}

.project__title {
  color: $gallery-item-text-color;
  font-size: 1.3rem;
  font-weight: 600;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: calc(200px - 2rem);
}

.project__subtitle {
  text-transform: uppercase;
  flex: 1 0 auto;
}

.project__text {
  font-size: 0.8rem;
  text-align: center;
}

.gallery__boxes {
  .project__title {
    flex: 1 0 auto;
  }
}
</style>
